%define _altdata_dir %_datadir/alterator

Name: alterator-ovz
Version: 0.4
Release: alt6

Packager: Stanislav Ievlev <inger@altlinux.org>

BuildArch: noarch

Source0:%name-%version.tar
Source1: caps

Summary: alterator module for OpenVZ
License: GPL
Group: System/Configuration/Other
Requires: alterator >= 2.9 gettext ve-build-scripts >= 0.0.2

BuildPreReq: alterator >= 2.9-alt0.10, alterator-fbi >= 0.7-alt1

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator

%description
alterator module for OpenVZ

%prep
%setup -q

%build
%make_build libdir=%_libdir

%install
%makeinstall HTMLROOT=%buildroot%_var/www/
%find_lang %name
mkdir -p %buildroot%_datadir/%name
%__install %SOURCE1 %buildroot%_datadir/%name/

%files -f %name.lang
%_datadir/alterator/applications/*
%_datadir/alterator/desktop-directories/*
%_var/www/html/*
%dir %_datadir/%name
%_datadir/%name/*
%_alterator_backend2dir/*
%_alterator_backend3dir/*

%changelog
* Fri Jun 15 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt6
- switch to new menu system

* Wed May 23 2007 Konstantin A. Lepikhov <lakostis@altlinux.org> 0.4-alt5.1
- more fixes for new alterator-fbi.

* Wed May 23 2007 Konstantin A. Lepikhov <lakostis@altlinux.org> 0.4-alt5
- update for new alterator-fbi (ALT #11807).
- alterator-ovz/html/fbi/ovz-ve-quota.html: s/devinodes/diskinodes/ (ldv@).

* Fri Apr 27 2007 Konstantin A. Lepikhov <lakostis@altlinux.org> 0.4-alt4
- fix list_services (make services really unique).
- interface inprovements:
  + move quota and devices settings to separate dialog.
  + add diskinodes settings.
- update help.
- drop obosolete translations.
- merge ldv@ changes (whitespace cleanup).

* Mon Apr 23 2007 Konstantin A. Lepikhov <lakostis@altlinux.org> 0.4-alt3
- add Ukrainian translation.
- alterator-ovz/backend3/ovz-template: Fix alt_list (inger@)

* Mon Apr 23 2007 L.A. Kostis <lakostis@altlinux.ru> 0.4-alt2
- fix unneeded name constrains from ovz-profile (this checks must be in
  ovz-temlate).
- merge ldv@ changes:
  + alterator-ovz/backend3/ovz-template: Rename list_logs() to alt_list_logs()
  + alterator-ovz/backend3/ovz-template: Rename list_profiles() to alt_list_profiles()
  + alterator-ovz/backend3/ovz-template: Replace list_templates() with alt_list_templates()
  + alterator-ovz/backend3/ovz-ve (alt_check_ovz): New function to check vz status
  + alterator-ovz/backend3/ovz-ve (alt_constrains): Update VE name constraint
    to sync with "vzctl --name" constraint (ALT#11590)

* Fri Apr 20 2007 Konstantin A. Lepikhov <lakostis@altlinux.org> 0.4-alt1
- interface improvements
- ldv@ fixes:
  + alterator-ovz/backend3/ovz-ve (get_veid): Additional hardening
  + alterator-ovz/backend3/ovz-ve (show_local_bc): Optimize
  + alterator-ovz/backend3/ovz-ve: Use shortcut for "iptables -t nat"
- check vz service status (close #11386 fix suggested by ldv@)
- ovz-template/ovz-profile/template-* - major cleanup
- remove name from ovz-template (due #11386)
- ovz-ve: major cleanup (by ldv@ and legion@):
  + fix #11430
  + fix #11521
- little CSS improvements (by inger@)
- ovz-proxy: insert "in container" message to "hostinfo" div (by inger@)

* Tue Apr 17 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt4.1
- minor interface improvements
- fix #11534

* Sun Apr 15 2007 L.A. Kostis <lakostis@altlinux.ru> 0.3-alt4
- fixes: 
    + don't show udp established connections (#11496)
    + fix VE create logic (#11430)
    + fix delete logic in ovz-profile (#11509)

* Fri Apr 13 2007 Konstantin A. Lepikhov <lakostis@altlinux.org> 0.3-alt3
- always copy sources.list from HN to VE (need for alterator-apt work
  "out-from-the-box").

* Tue Apr 03 2007 L.A. Kostis <lakostis@altlinux.ru> 0.3-alt2
- fixes:
    + selection when creating VE (#11041)
    + redirection in caps settings (#11332)
    + port redirection issues (#11318)
    + honor template locks (#11341)
    + fix multiple artifacts in template manager (#11164)
    + Update translations
    + add help for caps settings
    + fix link to VE settings (#11225 #11315 and partially #11311)
    + fix greedy regexp (#11373)

* Fri Mar 30 2007 Konstantin A. Lepikhov <lakostis@altlinux.org> 0.3-alt1
- new release: 
    + add additional VE actions - capability/diskspace (partially fix (#11191))
    + add ability to view status of building templates (partially fix (#11164))
    + fix menu items priority (#11213)
    + update messages for new translation scheme

* Wed Mar 21 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- add transparent proxying to VE internal configurators
- minor ui improvements

* Wed Mar 21 2007 L.A. Kostis <lakostis@altlinux.ru> 0.1-alt13
- improve network code (remove iptables rules on VE destroy).
- fixes: 
   + fix possible races in ovz-template
   + fix network code

* Mon Mar 19 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt12
- update from git
- enable multiple select in ovz-profile component
- fixes:
   + template status dialog
   + ubc template creation (temporary workaround)
   + ubc write (was dead lock)

* Wed Mar 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt11
- update from git
- assign 'Virtualization' group
- fixes:
  + fix non-altlinux caches handling
  + fix VEID handling

* Mon Mar 12 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt10
- add profile editing facility
- fix "-n" usage
- fix typo in translation

* Sun Mar 11 2007 L.A. Kostis <lakostis@altlinux.ru> 0.1-alt9
- add separate UBC settings dialog
- fixes:
  + fix ve without names handling (tnx to ldv@ for suggestions)
  + small design fixes
  + don't do SNAT if MASQ enabled

* Fri Mar 09 2007 Konstantin A. Lepikhov <lakostis@altlinux.org> 0.1-alt8
- improvements:
  + add ubc settings (ve-object)
  + add translations
  fixes:
  + fixes in network code
  + fixes in template creation code

* Mon Mar 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt7
- go to sisyphus
- bugfixes:
  - layout improvements
  - add labels
  - fix parameters saving
  - add onboot control
  - fix password fields
  - po file names
  - more translations

* Wed Feb 28 2007 Konstantin A. Lepikhov <lakostis@altlinux.org> 0.1-alt5
- update network code.
- fix snat.

* Wed Feb 21 2007 L.A. Kostis <lakostis@altlinux.ru> 0.1-alt4
- improve ovz-ve backend:
  + add numproc and onboot status to summary page
  + add config to new ve action
  + add new action - onboot
  + add handling not only altlinux- templates
  + add handling VE without names
  + new functions (get_veid, list_configs, list_options) 
- update to new profile dir
- update html for new changes
- update requires (add ve-build-scripts)
- fix syntax errors on html page

* Fri Feb 16 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt3
- add ovz-ve backend and UI
- improve ovz-template backend (s,list_objects,list_templates,)
       
* Fri Feb 16 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- always add "altlinux-" prefix to cache names

* Tue Feb 13 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- initial release
